Package org.bukkit.inventory.recipe

# Enum Class CraftingBookCategory

java.lang.Object
java.lang.Enum<CraftingBookCategory>
org.bukkit.inventory.recipe.CraftingBookCategory

All Implemented Interfaces:
  `Serializable`, `Comparable<CraftingBookCategory>`, `Constable`

public enum CraftingBookCategory extends Enum<CraftingBookCategory>
Represents categories within the crafting recipe book.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BUILDING`
`EQUIPMENT`
`MISC`
`REDSTONE`

## Method Summary

Modifier and Type
Method
Description
`static CraftingBookCategory`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CraftingBookCategory[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BUILDING

public static final CraftingBookCategory BUILDING

### REDSTONE

public static final CraftingBookCategory REDSTONE

### EQUIPMENT

public static final CraftingBookCategory EQUIPMENT

### MISC

public static final CraftingBookCategory MISC

## Method Details

### values

public static CraftingBookCategory[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CraftingBookCategory valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null